%define dashrc %{nil}
%define dotrc %{nil}

Name:		libgadu
Version:	1.11.0
Release:	2%{dotrc}%{?dist}
Summary:	A Gadu-gadu protocol compatible communications library
License:	LGPLv2
Group:		System Environment/Libraries
Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}%{dashrc}.tar.gz
# SVN r1144 - fixes TLS usage via gnutls
Patch0:		libgadu-r1144-gnutls-fix.patch
URL:		http://toxygen.net/libgadu/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	doxygen
BuildRequires:	gnutls-devel
BuildRequires:	gsm-devel
BuildRequires:	speex-devel
BuildRequires:	zlib-devel

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l pl
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package devel
Summary:	Libgadu development library
Summary(es):	Biblioteca de desarrollo de libgadu
Summary(pl):	Część biblioteki libgadu dla programistów
Group:		Development/Libraries
Requires:	libgadu = %{version}-%{release}
Requires:	pkgconfig

%description devel
The libgadu-devel package contains the header files necessary
to develop applications with libgadu.

%description devel -l pl
Pakiet libgadu-devel zawiera pliki nagłówkowe potrzebne
do kompilowania aplikacji korzystających z libgadu.

%package doc
Summary:	Libgadu library developer documentation
Summary(pl):	Dokumentacja biblioteki libgadu dla programistów
Group:		Documentation
Requires:	libgadu = %{version}-%{release}
BuildArch:	noarch

%description doc
The libgadu-doc package contains the documentation for the
libgadu library.

%description doc -l pl
Pakiet libgadu-doc zawiera dokumentację biblioteki libgadu.

%prep
%setup -q -n %{name}-%{version}%{dashrc}
%patch0 -p1 -b .r1144

%build
%configure \
	--disable-static \
	--without-openssl \
	--with-pthread

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm docs/html/installdox

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libgadu.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_libdir}/pkgconfig/*

%files doc
%defattr(-,root,root,-)
%doc docs/protocol.html docs/html

%changelog
* Tue Jul 12 2011 Dominik Mierzejewski <rpm@greysector.net> 1.11.0-2
- fixed TLS usage via gnutls (rhbz #718619)

* Sat Jun 04 2011 Dominik Mierzejewski <rpm@greysector.net> 1.11.0-1
- updated to 1.11.0
- enabled gsm/speex to support voice connections
- enabled zlib to support GG10 contact list import/export

* Mon Mar 14 2011 Dominik Mierzejewski <rpm@greysector.net> 1.10.1-1
- updated to 1.10.1

* Sun Feb 27 2011 Dominik Mierzejewski <rpm@greysector.net> 1.10.0-1
- updated to 1.10.0 final
- enabled SSL support via gnutls
- added API docs to -doc
- updated summaries and descriptions for -devel

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.1-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Dominik Mierzejewski <rpm@greysector.net> 1.9.1-1
- updated to 1.9.1

* Wed May 19 2010 Dominik Mierzejewski <rpm@greysector.net> 1.9.0-1
- updated to 1.9.0 final

* Sun Mar 14 2010 Dominik Mierzejewski <rpm@greysector.net> 1.9.0-0.4.rc3
- updated to 1.9.0-rc3
- adds basic support for new GG protocol (UTF-8 and new status messages)
- full upstream changelog (Polish only) http://toxygen.net/libgadu/releases/1.9.0-rc3.html
- drop Requires: openssl-devel from -devel subpackage

* Sun Dec 06 2009 Dominik Mierzejewski <rpm@greysector.net> 1.9.0-0.3.rc2
- disabled OpenSSL support (not used in practice),
  fixes license trouble for GPL apps

* Sun Dec 06 2009 Dominik Mierzejewski <rpm@greysector.net> 1.9.0-0.2.rc2
- updated to 1.9.0-rc2

* Sun Sep 13 2009 Dominik Mierzejewski <rpm@greysector.net> 1.9.0-0.1.rc1
- updated to 1.9.0-rc1

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.8.2-5
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.8.2-2
- rebuild with new openssl

* Sun Oct 26 2008 Dominik Mierzejewski <rpm@greysector.net> 1.8.2-1
- updated to 1.8.2 (security update)
- preserve timestamps during make install
- put defattr at the top of files section (fixes rpmlint error)

* Wed Jun 18 2008 Dominik Mierzejewski <rpm@greysector.net> 1.8.1-1
- updated to 1.8.1

* Sun Feb 24 2008 Dominik Mierzejewski <rpm@greysector.net> 1.8.0-1
- updated to 1.8.0

* Sat Feb 16 2008 Dominik Mierzejewski <rpm@greysector.net> 1.7.2-1
- updated to 1.7.2

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.7.1-3
 - Rebuild for deps

* Sun Aug 26 2007 Dominik Mierzejewski <rpm@greysector.net> 1.7.1-2
- rebuild for BuildID
- update license tag

* Wed Apr 25 2007 Dominik Mierzejewski <rpm@greysector.net> 1.7.1-1
- updated to 1.7.1 (security fixes)

* Sun Sep 17 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7.0-1
- initial build
